#ifndef SETTINGS_H
#define SETTINGS_H

/**
 * Settings Class
 * @brief describes the Settings.
 * @author Dmitrijs Griskovs
 * @date 15/04/2019
 */
class Settings{
public:
    /** A constructor for the Tutorial's page number*/
    Settings();
    /** 
     * @brief Allows to change contrast and brightness of the screen by using a knob.
     * @details Updates and draws the text and the percentage bar. Allows to choose
     * the level of contrast and screen brightness.
     */
    bool updateAndWriteSettings();
    
private:
    static const int total_pages = 2;
    static const float time_delay = 100;
    int current_page;
    void settingsPage0();
    void settingsPage1();
    void drawArrowsAndExitButton();
};

#endif